QGIS Application - Bug report #5187
Intersect tool should inform the user if both layers have a similar attribute fieldname title
2012-03-16 03:04 AM - maning sambale

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.7.4 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 14929
Description

Currently the intersect tool does not check whether the the two layers have a similar fieldname title. In one case, we have two vectors with
a "NAME_2" field but with different attribute values. The output layer shows only "NULL"s.

IT should at least warn the user if these attribute names exist.

History

#1 - 2012-05-23 05:56 AM - Alexander Bruy
- Category changed from Vectors to 44

#2 - 2012-05-27 02:35 AM - Salvatore Larosa

| don't know if this is a bug or feature!
Anyway, How can | replicate?

| tested intersect tool with my layers as follows:

layer A: fields[id, Name_2, Area_2]
layer B: fields[id, Name_2, Area_2]

My output layer has the follow fields:

layer C: fields[id, Name_2, Area_2, id_2, Name_3, Area_3]
with no NULL value as expected!

Can you share your data sample?

#3 - 2012-05-27 02:38 AM - Giovanni Manghi
- Status changed from Open to Resolved

Can you share your data sample?

maybe this was already fixed in master? Maning please give it a try with master and report back.

#4 - 2012-09-04 12:08 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#5 - 2012-09-26 11:04 PM - Alexander Bruy
- Status changed from Resolved to Feedback

#6 - 2013-07-15 11:48 AM - Giovanni Manghi
- Status changed from Feedback to Closed
- Resolution set to worksforme

Closed for lack of feedback, reopen if necessary.

#7 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
